---
weight: 200
title: Quick Start
---

# Getting Started with SteamVR on Linux

## Check your Video Drivers

- {{< icon name="nvidia" >}} Nvidia users: use the version that's [officially listed as production](https://www.nvidia.com/en-us/drivers/unix/). new feature/beta versions tend to have issues. open driver recommended on 20 series cards or newer.
- {{< icon name="amd" >}} AMD users: use Mesa 24+ radeonsi, kernel 6.7.3+ if possible, stay away from amdpro.

## Installing Steam

If the `steam` package is available on your distro, we recommend starting with that. For headsets using ALVR, the flatpak steam can work, but it's more of an advanced topic. ALVR docs can help you with that.

Launch Steam and install SteamVR. If it repeatedly nags you about sudo upon launch, you might want to setcap the vrcompositor:

```bash
sudo setcap CAP_SYS_NICE=eip ~/.local/share/Steam/steamapps/common/SteamVR/bin/linux64/vrcompositor-launcher
```

(Default install location on most distros)

## Setting up your HMD

**Valve Index, Vive, Vive Pro**: These will work just by plugging in.

**Vive Pro 2** will need the driver from here: <https://github.com/CertainLach/VivePro2-Linux-Driver>

If you use any of the above headsets with {{< icon name="nvidia" >}} Nvidia , you may get flickering or crashes. In this case, check your settings in `~/.steam/steam/config/steamvr.vrsettings`

Under the `"steamvr"` section:

```js
"allowSupersampleFiltering" : false,
"disableAsync" : true,
"enableLinuxVulkanAsync" : false,
```

For many games, you might want to turn on "Legacy Reprojection" in the per-app video settings.

**Quest 1/2/3/Pro, Pico 3/4, Vive Focus 3/XR Elite**:

Your best bet is [the latest ALVR release](https://github.com/alvr-org/ALVR/releases)

Also check the [ALVR wiki](https://github.com/alvr-org/ALVR/wiki)
